%global mod_name mailer-plugin
%global short_name mailer
%global plugin_home %{_datadir}/jenkins/webroot/WEB-INF/plugins/%{short_name}.jpi

Name:           jenkins-mailer-plugin
Version:        1.15
Release:        1%{?dist}
Summary:        Jenkins Mailer Plugin

# License is specified in pom.xml
License:        MIT
URL:            https://github.com/jenkinsci/mailer-plugin
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz
# Text copied from http://www.opensource.org/licenses/mit-license.php
Source1:        LICENSE.txt

BuildRequires:  maven-local
BuildRequires:  mvn(javax.mail:mail)
BuildRequires:  mvn(javax.servlet:servlet-api)
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)
BuildRequires:  mvn(org.kohsuke:access-modifier-checker)
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)
BuildRequires:  mvn(org.jenkins-ci.modules:instance-identity)

# test deps
#BuildRequires:  mvn(junit:junit)
#BuildRequires:  mvn(org.jvnet.mock-javamail:mock-javamail)
#BuildRequires:  mvn(org.mockito:mockito-all)
#BuildRequires:  mvn(org.powermock:powermock-api-mockito)
#BuildRequires:  mvn(org.powermock:powermock-module-junit4)

BuildArch:      noarch

%description
This package provides default mailer plugin for Jenkins.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{mod_name}-%{short_name}-%{version}

cp %{SOURCE1} .
%mvn_package ::hpi: __noinstall
%mvn_file ::jar:: %{name}/%{short_name} %{plugin_home}/WEB-INF/lib/%{short_name}

%build
# missing test dep org.jvnet.mock-javamail:mock-javamail
%mvn_build -f

%install
# unpack hpi file into the correct location
install -d -m 755 %{buildroot}/%{plugin_home}
unzip -d %{buildroot}/%{plugin_home} target/%{short_name}.hpi
rm %{buildroot}/%{plugin_home}/WEB-INF/lib/*

%mvn_install
sed -i 's|%{plugin_home}/WEB-INF/lib/%{short_name}.jar||' .mfiles

%files -f .mfiles
%dir %{_javadir}/%{name}
%{plugin_home}
%doc LICENSE.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Mon Feb 09 2015 Michal Srb <msrb@redhat.com> - 1.15-1
- Update to upstream version 1.15

* Wed Feb 04 2015 Michal Srb <msrb@redhat.com> - 1.14-1
- Update to upstream version 1.14

* Fri Nov 21 2014 Michal Srb <msrb@redhat.com> - 1.12-1
- Update to upstream version 1.12

* Tue Nov 18 2014 Michal Srb <msrb@redhat.com> - 1.11-3
- Rebuild to fix plugin dependencies

* Thu Oct 09 2014 Michal Srb <msrb@redhat.com> - 1.11-2
- This is a core plugin, move it to the correct location

* Tue Sep 23 2014 Michal Srb <msrb@redhat.com> - 1.11-1
- Update to upstream version 1.11
- Install as Jenkins plugin

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 20 2014 Michal Srb <msrb@redhat.com> - 1.8-1
- Update to upstream version 1.8

* Mon Nov 11 2013 Michal Srb <msrb@redhat.com> - 1.5-1
- Initial packaging

